radius_put_vendor_attr
radius_put_vendor_string
Radius Functions
PHP Manual

# radius_put_vendor_int

(PECL radius >= 1.1.0)

radius_put_vendor_int — Attaches a vendor specific integer attribute

### Description

bool radius_put_vendor_int ( resource `$radius_handle` , int `$vendor` , int `$type` , int `$value` [, int `$options` = 0 [, int `$tag` ]] )

Attaches a vendor specific integer attribute to the current RADIUS request.

> Note:

> A request must be created via radius_create_request() before this function can be called.

### Parameters

`radius_handle`

  The RADIUS resource.

`vendor`

  The vendor ID.

`type`

  The attribute type.

`value`

  The attribute value.

`options`

  A bitmask of the attribute options. The available options include `RADIUS_OPTION_TAGGED` and `RADIUS_OPTION_SALT`.

`tag`

  The attribute tag. This parameter is ignored unless the `RADIUS_OPTION_TAGGED` option is set.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
PECL radius 1.3.0 | The `options` and `tag` parameters were added.

### See Also

- radius_put_vendor_string() - Attaches a vendor specific string attribute

radius_put_vendor_attr
radius_put_vendor_string
Radius Functions
PHP Manual